List Vehicle Journeys
curl --request GET \
--url https://api.volteras.com/v1/vehicles/{vehicle_id}/journeys \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.volteras.com/v1/vehicles/{vehicle_id}/journeys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.volteras.com/v1/vehicles/{vehicle_id}/journeys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "<string>",
"vehicleId": "<string>",
"startTimestamp": "2023-11-07T05:31:56Z",
"vin": "<string>",
"distanceTravelledKm": 123,
"odometerStart": 123,
"odometerEnd": 123,
"energyUsedKwh": 123,
"energyStartKwh": 123,
"energyEndKwh": 123,
"socUsed": 123,
"socStart": 123,
"socEnd": 123,
"stopTimestamp": "2023-11-07T05:31:56Z",
"startLatitude": 123,
"startLongitude": 123,
"stopLatitude": 123,
"stopLongitude": 123
}
],
"nextPageToken": "<string>",
"estimatedTotalResults": 123
}Vehicle Journeys
List Vehicle Journeys
Retrieve a paginated list of journeys for the provided vehicle.
Parameters:
vehicle_id: The unique identifier (ID) of the vehicle to retrieve journeys for.- Pagination parameters as query params.
- Filter parameters on any of the journey fields - see https://docs.volteras.com/overview/listing-filter-json for how to construct.
Returns:
- A paginated list of vehicle journeys.
This endpoint allows you to retrieve a paginated list of journeys for a specific vehicle identified by its unique vehicle_id.
The list is ordered by the start timestamp of each journey, with the most recent journeys appearing first.
Note:
- The
vehicle_idshould correspond to a valid and existing vehicle identifier. - This endpoint returns the estimated total result count.
Possible Codes in Error Response (see Errors for error response schema and meaning of codes):
- AUTHENTICATION_ERROR
- PAGE_SIZE_TOO_LARGE
- PAGINATED_QUERY_FILTER_CHANGED
- REQUEST_VALIDATION_ERROR
- RESOURCE_NOT_FOUND
- SERVER_ERROR
GET
/
v1
/
vehicles
/
{vehicle_id}
/
journeys
List Vehicle Journeys
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Unique internal identifier for the vehicle.
Query Parameters
Max size of the returned list.
Page token used for pagination.
Listing filter schema.

